/***************************************************************************
                          Preferences.h  -  description
                             -------------------
    begin                : Sam Apr 27 2002
    copyright            : (C) 2002 by Andreas Scherf
    email                : scherfa@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <qlineedit.h>
#include <qfile.h>
#include <qdir.h>
#include <qdatetimeedit.h>
#include <qcombobox.h>


#include "PreferencesGUI.h"

#define DEFAULTTIMEFILE "zeiten.lst"
#define CONFIGFILE "timecounter.cfg"
#define CONFIGDIR "/tmp"

class Preferences : public PreferencesGUI
{
        Q_OBJECT
    public:
        enum Format {TimeFormat=0,RTLFormat};
        Preferences (QWidget * parent = 0, const char *name = 0);
        virtual ~ Preferences ();
        /** Public Functions ...*/
        bool            readPreferences ();
        bool            writePreferences ();
        QString         getStartTime ();
        QString         getFilename ();
        void            setFormatStrings();
        int getFormat();
    private:
        void            setFilename (const QString &);
        void            setStartTime (const QString &);
        void            setFormat (int num);
        QString         retFilename ();
        QTime           retStartTime ();
        int             retFormat();
        QString         createHeader ();
        QTime           starttime;
        QString         timestring;
        QString         filename;
        int formatnumber;
};



#endif //PREFERENCES_H
